Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.maryanovsky.map.client.opengis.wms
Class Capabilities

    java.lang.Object
      com.maryanovsky.map.client.opengis.wms.Capabilities

    public class Capabilities

extends Object

Represents the capabilities of a Web Map Service as defined by the Web Map Service Implementation Specification. Additionally, tile sets are defined by the WMS Tiling Client Recommendation.

Note that the javadoc comments in this class are short, and unsufficient for adequate documentation. To understand the various classes and their properties you will need to read the specs mentioned above.

Author:
  Maryanovsky Alexander

Nested Class Summary
`static class` | `Capabilities.ContactInformation` Encapsulates the contact information sent as part of a `Capabilities` response.
`static class` | `Capabilities.GetMapRequestInfo` Encapsulates information about the GetMap capabilities of the service.
`static class` | `Capabilities.ImageUrl` The class for URLs of images, which also specify the format (mime-type) and size of the image.
`static class` | `Capabilities.Layer` Encapsulates information about a map layer.
`static class` | `Capabilities.ResponseHandler` The handler of the response to a GetCapabilities request.
`static class` | `Capabilities.TileSet` Encapsulates information about a tile set as defined by the WMS Tiling Client Recommendation.
`static class` | `Capabilities.UrlWithFormat` The base class for various classes which specify a URL and the format (mime-type) of the document at that URL.

Constructor Summary
`Capabilities(Document document)` Parses the specified Capabilities response XML document and creates a `Capabilities` object from it.

Method Summary
`String` | `getAbstract()` Returns a short description of the service.
`String` | `getAccessConstraints()` Returns any access constraints regarding the use of the service.
`Capabilities.ContactInformation` | `getContactInformation()` Returns the information of the contact person for the service.
`Document` | `getDocument()` Returns the full Capabilities response XML document from which this `Capabilities` object was created.
`String` | `getFees()` Returns a description of the fees accociated with the service.
`Capabilities.GetMapRequestInfo` | `getGetMapRequestInfo()` Returns information specifying how to make a `GetMap` request to the service.
`List<String>` | `getKeywordList()` Returns a list of keywords pertaining to the service.
`Map<String,Capabilities.Layer>` | `getLayerByName()` Returns a Map of layer names to layers.
`String` | `getName()` Returns the name of the service.
`List<Capabilities.TileSet>` | `getTileSets()` Returns the list of `Capabilities.TileSet`s supported by the service.
`List<Capabilities.TileSet>` | `getTileSetsByLayerName(String layerName)` Returns a list of `Capabilities.TileSet`s which display the specified layer.
`String` | `getTitle()` Returns the title of the service.
`Capabilities.Layer` | `getTopLevelLayer()` Returns the toplevel layer provided by this service.
`String` | `getUrl()` Returns the URL of the service.
`static String` | `makeGetRequestUrl(String baseUrl)` Returns the URL of a full HTTP GET GetCapabilities request using the specified base URL.
`static void` | `sendGetRequest(String baseUrl, ResultCallback<Capabilities> callback)` Sends an HTTP GET GetCapabilities request using the specified base URL.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Capabilities

    public Capabilities(Document document)
                 throws ParseException

  Parses the specified Capabilities response XML document and creates a `Capabilities` object from it.

  Throws:
    `ParseException`

Method Detail

### sendGetRequest

    public static void sendGetRequest(String baseUrl,
                                      ResultCallback<Capabilities> callback)
                               throws RequestException

  Sends an HTTP GET GetCapabilities request using the specified base URL. The response, a `Capabilities` object, is delivered to the specified `ResultCallback`.

  Throws:
    `RequestException`

### makeGetRequestUrl

    public static String makeGetRequestUrl(String baseUrl)

  Returns the URL of a full HTTP GET GetCapabilities request using the specified base URL.

### getDocument

    public Document getDocument()

  Returns the full Capabilities response XML document from which this `Capabilities` object was created. Through this object you can retrieve any additional information sent that this class does not parse.

### getName

    public String getName()

  Returns the name of the service.

### getTitle

    public String getTitle()

  Returns the title of the service.

### getAbstract

    public String getAbstract()

  Returns a short description of the service. May be `null`.

### getKeywordList

    public List<String> getKeywordList()

  Returns a list of keywords pertaining to the service. The returned list is unmodifiable.

### getUrl

    public String getUrl()

  Returns the URL of the service. May be `null`.

### getContactInformation

    public Capabilities.ContactInformation getContactInformation()

  Returns the information of the contact person for the service. May be `null`.

### getFees

    public String getFees()

  Returns a description of the fees accociated with the service. May be `null`.

### getAccessConstraints

    public String getAccessConstraints()

  Returns any access constraints regarding the use of the service. May be `null`.

### getGetMapRequestInfo

    public Capabilities.GetMapRequestInfo getGetMapRequestInfo()

  Returns information specifying how to make a `GetMap` request to the service.

### getTopLevelLayer

    public Capabilities.Layer getTopLevelLayer()

  Returns the toplevel layer provided by this service. May be `null`.

### getLayerByName

    public Map<String,Capabilities.Layer> getLayerByName()

  Returns a Map of layer names to layers. The returned map is unmodifiable. Note that only named layers appear here.

### getTileSets

    public List<Capabilities.TileSet> getTileSets()

  Returns the list of `Capabilities.TileSet`s supported by the service. The returned list is unmodifiable.

### getTileSetsByLayerName

    public List<Capabilities.TileSet> getTileSetsByLayerName(String layerName)

  Returns a list of `Capabilities.TileSet`s which display the specified layer. The list will be sorted in increasing order by the number of layers displayed by the tile set. The returned list is unmodifiable.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD